Rubyの魔神 このページをアンテナに追加 RSSフィード

   「Ruby」は宝石の魔神のイメージ(The Jinn of the Ruby)
   [VB] [VB6] [Android] [電子工作] [個人メモ] [仕事メモ] [アイデア] [TstLink] [開発] [CE] [LTSA] [自動化] [Qt] [OCaml] [TOOLS]
   [3Dプリンタ] [RAA] [Forge]   [機能別索引] [逆引きRuby] [マニュアル] [るびま] [標準ライブラリ] [るりまサーチ] [Try! Ruby] [PRaggerまとめ] [ピジョン・ブラッド]
   [Rubyコーディング規約] [プログラミングのオキテ] [Rubyist SNS] [TOOLBIS]
   [RubyネットワークProg] [druby] [コードなにがし] [RDocテンプレ] [Ruby/Tkサンプル]
   [WAVE] [Xperia] [github] [twitterなど] [Java] [EA] [マクロ]

2011-10-07

NeBeans IDE でRubyをデバック

NeBeans IDE でRubyをデバック - Rubyの魔神 を含むブックマーク はてなブックマーク - NeBeans IDE でRubyをデバック - Rubyの魔神 NeBeans IDE でRubyをデバック - Rubyの魔神 のブックマークコメント

以下で詳しく紹介されていました。

NeBeans IDE 6.8 でRubyをデバック

http://marsee101.blog19.fc2.com/blog-entry-1373.html

私のところではFast Debugerが動かない。調査中。

(追記)動きました。

ブレークやステップ、変数参照が出来て、WindowsでもLinuxでも使えて便利。

gemでno such file to load -- zlib エラー

gemでno such file to load -- zlib エラー - Rubyの魔神 を含むブックマーク はてなブックマーク - gemでno such file to load -- zlib エラー - Rubyの魔神 gemでno such file to load -- zlib エラー - Rubyの魔神 のブックマークコメント

Win7VMWareでUbuntu8.04動かしているが、以下のエラーがでる。

xxx@ubuntu-vm:~$ gem update

ERROR: Loading command: update (LoadError)

no such file to load -- zlib

こちらの記事を参考に対策すると直った

http://toshihilog.blog63.fc2.com/blog-category-5.html

まず、パッケージマネージャーでzlibを入れる。

rubyを解凍したフォルダに移動し以下を実行

cd ruby-1.8.5/ext/zlib

ruby extconf.rb --with-zlib-include=/usr/include -with-zlib-lib=/usr/lib

make

sudo make install

トラックバック - http://ruby.g.hatena.ne.jp/garyo/20111007